Description

TODO:

e show all units (FieldUnit + all Derived Units) by the short label
e if a unit has more than one specimen decription the count of descriptions will be appended to the short label of the unit

e.g:

Kilian 123 (1), Kilian 123 (2), Specimen B100507484 (1), B100507484 (2)

Related issues:
Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress

History

#1 - 04/03/2020 02:28 PM - Andreas Kohlbecker

Hallo,
ein gutes Beispiel ist Campanula aucheri im Campanula-Portal:

http://campanula.e-taxonomy.net/cdm_dataportal/taxon/cdcacbda-11c0-4cb8-a2e0-8d7abc5ae756/specimens?pager[pageNumber]=0

Klicken auf das Icon fir morphologische Daten (genau wie bei dem fur molekulare Daten) bewirkt nur ein Aufklappen
der Specimen-Tabellenzeile.

In der ausgeklappten Zeile steht findet sich dann: "Character Data: detail page", wobei fur "detail page" der

Link zur Specimen-Details-Seite hinterlegt ist. Das ging damals nicht anders; heute ist es nattrlich naheliegender und wére auch analog zu den
molekularen Daten, stattdessen den Link zur Specimen-Descriptive-Data-Tabelle zu hinterlegen, dann jedenfalls, wenn

wir diese als eigensténdige Seite neben der Specimen-Details-Seite behalten wollen.

Beste GriiB3e,

Norbert

#2 - 04/03/2020 02:29 PM - Andreas Kohlbecker

Hallo,
vielen Dank fur die Info, da hatte ich mir wohl einiges falsch gemerkt.

Wenn ich es richtig verstehe, ist ein Problem wohl, dass lediglich Daten von PreferredSpecimen angezeigt
werden und nicht die der FieldUnit. Bei den Cactaceae hangen die Daten aber an der FieldUnit, da die meisten Daten an der Lebendsammlung
aufgenommen wurden.

Ich denke es gibt auch keinen Grund nur die Daten der PreferredSpecimen bzw. der Derivate anzuzeigen, sondern
es mussten alle descriptiven Daten aller SpecimenOrObservation (FieldUnit + DerivedUnits + MediaSpecimen(+DnaSample? — sollte nicht
vorkommen in sauberen Daten)) angezeigt werden.

Das zweite Problem ist die Frage, ob auf ,Specimen“(im weiteren Sinne) oder auf einzelne
Descriptions verwiesen werden soll. Wenn die Daten aus verschiedenen Quellen stammen, gibt es dann mehrere Links, da sie eben in mehreren
Descriptions stehen. Aber vermutlich ein eher seltenerer Fall, insofern nicht so kritisch bzw. vielleicht sogar gewollt.

Und dann ist v.a. noch das Problem des richtigen Labels. Wenn es mehrere Descriptions gibt, z.B. eine an

der FieldUnit und eine oder mehrere andere an deren Derivaten brauchen wir bessere Labels als das derzeitige Label ,detail page”. Die Labels der
Descriptions selber sind aber meist recht lang und daher auch nicht so gut geeignet. Vielleicht reicht es die typischen

Kurzbezeichnungen fir die Unit zu verwenden und die dann durchzunummerieren, falls an der Unit mehrere Descriptions héngen, also z.B. Kilian 123
(wenn nur eine Description mit CharacterData an der Field Unit hangt) oder Kilian 123 (1), Kilian 123 (2) und so.
Entsprechend fir Specimen B100507484 (1), B100507484 (2). Gemeinsam kénnte sich dann ergeben Kilian 123 (1), Kilian 123 (2), Specimen
B100507484 (1), B100507484 (2) bei sehr verstreuten CharacterData.

Viele Griufe,

Andreas M.

#3 - 04/03/2020 02:29 PM - Andreas Kohlbecker

Hallo,

"... Ich denke es gibt auch keinen Grund nur die Daten der PreferredSpecimen bzw. der Derivate anzuzeigen,

sondern es mussten alle descriptiven Daten aller SpecimenOrObservation (FieldUnit + DerivedUnits + MediaSpecimen(+DnaSample? — sollte nicht

vorkommen in sauberen Daten)) angezeigt werden."

Ja, ich denke es macht Sinn, auch Daten anzuzeigen, die direkt an der FieldUnit hangen, auch wenn das eher
eine Ausnahme ist/sein sollte.

".. die Frage, ob auf ,Specimen*(im weiteren Sinne) oder auf einzelne
Descriptions verwiesen werden soll. Wenn die Daten aus verschiedenen Quellen stammen, gibt es dann mehrere Links, da sie eben in mehreren
Descriptions stehen. Aber vermutlich ein eher seltenerer Fall, insofern nicht so kritisch bzw. vielleicht sogar gewollt.

Ist das mit den einzelnen Descriptions (in der Anzeige analog) analog zu den einzelnen Sequenzen bei molekularen Daten?

"... Problem des richtigen Labels. Wenn es mehrere Descriptions gibt, z.B. eine an der FieldUnit und eine
oder mehrere andere an deren Derivaten brauchen wir bessere Labels als das derzeitige Label ,detail page” .....

Ja, genau.

"...Vielleicht reicht es die typischen Kurzbezeichnungen fur die Unit zu verwenden und die dann durchzunummerieren,

falls an der Unit mehrere Descriptions hangen, also z.B. Kilian 123 (wenn nur eine Description mit CharacterData an der Field Unit hangt) oder Kilian
123 (1), Kilian 123 (2) und so. Entsprechend fir Specimen B100507484 (1), B100507484 (2). Gemeinsam kénnte

sich dann ergeben Kilian 123 (1), Kilian 123 (2), Specimen B100507484 (1), B100507484 (2) bei sehr verstreuten CharacterData."

Ja, finde ich eine gute Lésung.

Beste Grife,

Norbert

#4 - 04/03/2020 02:32 PM - Andreas Kohlbecker
- Description updated

- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.15

#5 - 04/03/2020 04:27 PM - Andreas Miiller

- Subject changed from Specimen Table: improved and more complete details row to Specimen Table: improved and more complete details row for
character data

- Description updated

#6 - 06/23/2020 02:00 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#7 - 07/31/2020 11:14 AM - Andreas Kohlbecker

- Related to task #8419: Harmonization of the different specimen representations added

#8 - 10/09/2020 12:57 PM - Andreas Kohlbecker

- Tags changed from additivity, caryophyllales to additivity, caryophyllales, specimens-view-table

#9 - 01/13/2021 04:11 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#10 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21
#11 - 03/10/2021 02:54 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#12 - 04/19/2021 04:16 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#13 - 07/09/2021 10:39 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45
